Subject: discovering a proc's definition module

From: Paul Singleton <[email-masked]>
Date: Fri, 18 Aug 2000 18:00:02 +0100

Can a module export a proc it imports?

Does

  ?- predicate_property(some_proc(_,_), imported_from(Module)).

always tell me the module in which some_proc/2 is actually *defined*?

If not, how do I:

 * discover the definition module of any accessible proc?

 * enumerate the procs defined in a given module?

(I can see how to: enumerate all modules; enumerate their exports;
enumerate all foreign libraries, the procs they provide, and the
modules in which they appear to provide them, but I'm missing something
w.r.t. native procedures.)

Paul Singleton